<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'plan',

    /*
     * Modules.
     */
    'modules'   => ['plan', 'plan'],

    'plan'       => [
        'model' => [
            'model'                 => \Litecms\Plan\Models\Plan::class,
            'table'                 => 'plans',
            'presenter'             => \Litecms\Plan\Repositories\Presenter\PlanPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['2018',  'id',  'master_plan_id',  'title',  'avatar',  'power',  'min_power',  'power_unit',  'min_price',  'price',  'expiration_period',  'daily_profit',  'has_bonus',  'bonus_level_1',  'bonus_level_2',  'bonus_level_3',  'bonus_level_4',  'bonus_level_5',  'bonus_level_6',  'bonus_level_7',  'bonus_level_8',  'bonus_level_9',  'bonus_level_10',  'bonus_level_10)',  '1,',  ''uploads/1539004453dog_2.png',',  'NULL,',  'NULL,',  '30,',  '1,',  '0,',  '0,',  '0,',  '0,',  '(2,',  ''DogeMiner',  ''uploads/1539080550dog_3.png',',  'NULL,',  'NULL,',  '30,',  '1,',  '0,',  '0,',  '0,',  '0,',  '(17,',  ''uploads/1539080562dog_4.png',',  'NULL,',  'NULL,',  '30,',  '1,',  '0,',  '0,',  '0,',  '0,',  '(18,',  ''uploads/1539080577dog_5.png',',  'NULL,',  'NULL,',  '30,',  '1,',  '0,',  '0,',  '0,',  '0,',  '(23,',  ''DogeMiner',  ''uploads/1539079992free.png',',  'NULL,',  'NULL,',  '360,',  '1,',  '0,',  '0,',  '0,',  '0,',  '(24,',  ''uploads/1539080602dog_6.png',',  'NULL,',  'NULL,',  '30,',  '1,',  '0,',  '0,',  '0,',  '0,',  '(26,',  ''uploads/1539080614dog_2.png',',  'NULL,',  'NULL,',  '30,',  '1,',  '0,',  '0,',  '0,',  '0,',  'id),',  '4)'],
            'translatables'         => [],
            'upload_folder'         => 'plan/plan',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Plan',
            'module'    => 'Plan',
        ],

    ],
    'plan'       => [
        'model' => [
            'model'                 => \Litecms\Plan\Models\Plan::class,
            'table'                 => 'plans',
            'presenter'             => \Litecms\Plan\Repositories\Presenter\PlanPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['master_plan_id',  'title',  'avatar',  'power',  'min_power',  'power_unit',  'min_price',  'price',  'expiration_period',  'daily_profit',  'has_bonus',  'bonus_level_1',  'bonus_level_2',  'bonus_level_3',  'bonus_level_4',  'bonus_level_5',  'bonus_level_6',  'bonus_level_7',  'bonus_level_8',  'bonus_level_9',  'bonus_level_10'],
            'translatables'         => [],
            'upload_folder'         => 'plan/plan',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Plan',
            'module'    => 'Plan',
        ],

    ],
];
